
# Ambient Base Plugin

`ambient_base_plugin` provides an abstract base class (`BasePlugin`) for creating plugins in the Ambient platform. This base class defines the core interface that all plugins must implement, making it easy to build and integrate new functionality into the Ambient system.

## Features

- Abstract base class (`BasePlugin`) to create plugins.
- Event-driven architecture with `handle_event` method.
- Easy configuration using the `configure` method.
- Compatible with both in-process and containerized plugin models.

## Installation

You can install `ambient_base_plugin` via pip:

```bash
pip install ambient-base-plugin
```
